# rust-srpm-macros is used to provide macros.rust-srpm files.
# ocs currently offers rust-srpm-macros subpackages via rust-toolset, not rust-packaging
%bcond_without prov_rust_srpm_macro

Summary:        Rust and Cargo macros
Name:           rust-toolset
Version:        1.70.0
Release:        1%{?dist}
License:        ASL 2.0 or MIT
URL:            https://gitlab.com/redhat/centos-stream/rpms/rust-toolset
Source0:        macros.%{name}
Source1:        macros.rust-srpm
Source2:        cargo_vendor.attr
Source3:        cargo_vendor.prov

Requires:       rust cargo
Requires:       rust-toolset-srpm-macros = %{version}-%{release}


%description
This is the main package for rust and cargo macros.


%if %{with prov_rust_srpm_macro}
%package srpm-macros
Summary:        RPM macros for building Rust source packages
BuildArch:      noarch
Provides:       rust-srpm-macros = 25.2

%description srpm-macros
RPM macros for building source packages for Rust projects.
%endif


%prep


%build


%install
install -D -m 644 %{SOURCE0} %{buildroot}%{rpmmacrodir}/macros.%{name}
%if %{with prov_rust_srpm_macro}
install -D -m 644 %{SOURCE1} %{buildroot}%{rpmmacrodir}/macros.rust-srpm
%endif
install -D -m 644 %{SOURCE2} %{buildroot}%{_fileattrsdir}/cargo_vendor.attr
install -D -m 755 %{SOURCE3} %{buildroot}%{_rpmconfigdir}/cargo_vendor.prov


%files
%{rpmmacrodir}/macros.%{name}
%{_fileattrsdir}/cargo_vendor.attr
%{_rpmconfigdir}/cargo_vendor.prov


%if %{with prov_rust_srpm_macro}
%files srpm-macros
%{rpmmacrodir}/macros.rust-srpm
%endif


%changelog
* Wed Jun 26 2024 Wang Guodong <gordonwwang@tencent.com> - 1.70.0-1
- provides rust-srpm-macros

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.69.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 24 2023 Kui Ji <jackeyji@tencent.com> - 1.69.0-1
- update to rust 1.69.0

* Tue Jul 18 2023 Wang Guodong <gordonwwang@tencent.com> - 1.0-3
- Rebuilt for rust 1.69.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 rockerzhu <rockerzhu@tencent.com> - 1.0-1
- Initial build

